Search Problems
curl --request GET \
--url https://api.ropes.ai/api/public/problems/search \
--header 'x-api-key: <api-key>'import requests
url = "https://api.ropes.ai/api/public/problems/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ropes.ai/api/public/problems/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ropes.ai/api/public/problems/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ropes.ai/api/public/problems/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ropes.ai/api/public/problems/search")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ropes.ai/api/public/problems/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"title": "<string>",
"status": "Ready",
"type": "technical-assessment",
"integrationSource": "<string>",
"externalId": "<string>",
"testMode": true,
"isFromRopesTestBank": true
}
]{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Problems
Search Problems
Search technical assessments and video screens available to the authenticated organization by title. The search is a case-insensitive substring match on the problem title.
GET
/
api
/
public
/
problems
/
search
Search Problems
curl --request GET \
--url https://api.ropes.ai/api/public/problems/search \
--header 'x-api-key: <api-key>'import requests
url = "https://api.ropes.ai/api/public/problems/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ropes.ai/api/public/problems/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ropes.ai/api/public/problems/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ropes.ai/api/public/problems/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ropes.ai/api/public/problems/search")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ropes.ai/api/public/problems/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"title": "<string>",
"status": "Ready",
"type": "technical-assessment",
"integrationSource": "<string>",
"externalId": "<string>",
"testMode": true,
"isFromRopesTestBank": true
}
]{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Query Parameters
Case-insensitive substring to match against the problem title. Required.
Restricts results to the selected problem type.
Available options:
technical-assessment, video-screening Omits problems shared from the Ropes Test Bank when true.
Available options:
true, false Response
Successfully retrieved problems
Unique identifier for the problem
Display name/title of the problem
Current status of the problem
Available options:
Ready, Creating, Editing Problem type discriminator
Available options:
technical-assessment, video-screening Integration source for the problem (e.g., jobdiva, bullhorn)
External ID from the ATS integration
True if this is a non-production problem created for API integration testing.
True if this problem is from the shared Ropes Test Bank (read-only).